﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace T_PersistenceManager
{
    public class Person
    {
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public int Age { get; set; }
        public string JobTitle { get; set; }
        public ObservableCollection<Address> Addresses { get; private set; }

        public Person(string firstName, string lastName, int age, string jobTitle)
        {
            FirstName = firstName;
            LastName = lastName;
            Age = age;
            JobTitle = jobTitle;
            Addresses = new ObservableCollection<Address>();
        }
    }
}
